import extra_geom
from karabo.bound import KARABO_CLASSINFO

from ._version import version as deviceVersion
from .manual_geometry_base import ManualGeometryBase


@KARABO_CLASSINFO("ManualAgipdGeometry", deviceVersion)
class ManualAgipdGeometry(ManualGeometryBase):
    geometry_class = extra_geom.AGIPD_1MGeometry

    @staticmethod
    def expectedParameters(expected):
        super(ManualAgipdGeometry, ManualAgipdGeometry).expectedParameters(expected)

        expected.setDefaultValue("quadrantCorners.Q1.x", -525)
        expected.setDefaultValue("quadrantCorners.Q1.y", 625)

        expected.setDefaultValue("quadrantCorners.Q2.x", -550)
        expected.setDefaultValue("quadrantCorners.Q2.y", -10)

        expected.setDefaultValue("quadrantCorners.Q3.x", 520)
        expected.setDefaultValue("quadrantCorners.Q3.y", -160)

        expected.setDefaultValue("quadrantCorners.Q4.x", 542.5)
        expected.setDefaultValue("quadrantCorners.Q4.y", 475)
